Supported runtime dependencies and environments

Software versions are divided into the following groups:

  • Supported: Baserow should run with this software without any issues, submit bug reports if it is not the case.
  • Tested: The specific Baserow version was tested on this version before the release.
  • Recommended: Recommended software for the best experience.

Web browsers

Baserow 1.10.2

Browser Supported versions Recommended versions
Firefox Latest
Chrome Latest
Edge Latest

Python

Baserow version Supported versions Tested versions Recommended versions
1.11 3.7.16 3.7.16 3.7.16

Node.js

Baserow version Supported versions Tested versions Recommended versions
1.11 >= 16.14.0 < 17 16.15.1 16.15.1

Docker

Baserow version Supported versions Recommended versions
1.11 >= 19.03 Latest

docker-compose

Baserow version Supported versions Tested versions Recommended versions
1.11 >= 1.19.0 Latest

PostgreSQL

Baserow version Supported versions Tested versions Recommended versions
1.11 >= 11.16 11.16 Latest

Redis

Baserow version Supported versions Tested versions Recommended versions
1.11 >= 6.2.7 6.2.7 Latest